commit:     e40aad97e99802d7ea05f6046940418f8f34c008
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  5 08:09:21 2021 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Jul  5 08:09:38 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e40aad97

dev-lang/gforth: add a hack for slibtool

For library building gforth relies on a `libtool` binary to be
present at runtime.

Reported-by: Alessandro Barbieri
Closes: https://bugs.gentoo.org/799371
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-lang/gforth/gforth-0.7.3-r2.ebuild | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/dev-lang/gforth/gforth-0.7.3-r2.ebuild 
b/dev-lang/gforth/gforth-0.7.3-r2.ebuild
index 874e12892be..dfd7e9a7b68 100644
--- a/dev-lang/gforth/gforth-0.7.3-r2.ebuild
+++ b/dev-lang/gforth/gforth-0.7.3-r2.ebuild
@@ -30,6 +30,15 @@ PATCHES=(
 src_prepare() {
        default
 
+       # gforth uses both $LIBTOOL and $GNU_LIBTOOL.
+       # Let's settle on the former: bug #799371
+       if [[ -n $LIBTOOL ]]; then
+               export GNU_LIBTOOL=$LIBTOOL
+               # ./configure does not generate it, but slibtool assumes
+               # it's around
+               ln -s ${EPREFIX}/usr/bin/libtool libtool || die
+       fi
+
        # We patches both configure and configure.ac.
        # Avoid reruining aclocal.
        touch aclocal.m4 configure || die

Reply via email to